Subject: Re: linux-next: build failure after merge of the mm tree

From: Suren Baghdasaryan <[email-masked]>
Date: Sun, 16 Feb 2025 21:45:48 -0800

On Sun, Feb 16, 2025 at 3:22 PM Suren Baghdasaryan <[email-masked]> wrote:
>
> On Sun, Feb 16, 2025 at 3:14 PM Stephen Rothwell <[email-masked]> wrote:
> >
> > Hi all,
> >
> > After merging the mm tree, today's linux-next build (powerpc native perf)
> > failed like this:
> >
> > In file included from threadmap.c:4:
> > tools/include/linux/refcount.h: In function 'refcount_set_release':
> > tools/include/linux/refcount.h:65:9: error: implicit declaration of function 'atomic_set_release'; did you mean 'refcount_set_release'? [-Wimplicit-function-declaration]
> >    65 |         atomic_set_release(&r->refs, n);
> >       |         ^~~~~~~~~~~~~~~~~~
> >       |         refcount_set_release
> > tools/include/linux/refcount.h:65:9: error: nested extern declaration of 'atomic_set_release' [-Werror=nested-externs]
> > cc1: all warnings being treated as errors
> >
> > (and several more similar)
> >
> > Caused by commit
> >
> >   1465347e498f ("mm: make vma cache SLAB_TYPESAFE_BY_RCU")
> >
> > from the mm-unstable branch of the mm tree.
> >
> > I have reverted that commit for today.
>
> Thanks! I'll see if I can fix it quickly. I must be missing this
> function under tools/ in some specific config.

I just posted a fix at:
https://lore.kernel.org/all/[email-masked]/

> > --
> > Cheers,
> > Stephen Rothwell